Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.

Bug 1080305

Summary: CVE-2014-2330 CVE-2014-2331 CVE-2014-2332 CVE-2014-2329 check-mk: multiple flaws fixed in versions 1.2.2p3 and 1.2.3i5 [epel-all]
Product: [Fedora] Fedora EPEL Reporter: Murray McAllister <mmcallis>
Component: check-mkAssignee: Andrea Veri <andrea.veri>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: high Docs Contact:
Priority: high    
Version: el6CC: andrea.veri, jrusnack, vdanen
Target Milestone: ---Keywords: Security, SecurityTracking
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: fst_owner=jrusnack
Fixed In Version: Doc Type: Release Note
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2014-08-06 20:21:22 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Murray McAllister 2014-03-25 06:51:10 UTC
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of Fedora EPEL.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When creating a Bodhi update request, please use the bodhi submission link
noted in the next comment(s).  This will include the bug IDs of this
tracking bug as well as the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
Bodhi notes field when available.

Please note: this issue affects multiple supported versions of Fedora EPEL.
Only one tracking bug has been filed; please ensure that it is only closed
when all affected versions are fixed.

[bug automatically created by: add-tracking-bugs]

Comment 1 Murray McAllister 2014-03-25 06:51:27 UTC
Please use the following update submission link to create the Bodhi
request for this issue as it contains the top-level parent bug(s) as well
as this tracking bug.  This will ensure that all associated bugs get
updated when new packages are pushed to stable.

Please also ensure that the "Close bugs when update is stable" option
remains checked.

Bodhi update submission link:
https://admin.fedoraproject.org/updates/new/?type_=security&bugs=1080303,1080305

Comment 2 Fedora Update System 2014-03-25 17:53:26 UTC
check-mk-1.2.4-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/check-mk-1.2.4-1.el6

Comment 3 Fedora Update System 2014-03-25 17:53:43 UTC
check-mk-1.2.4-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/check-mk-1.2.4-1.el5

Comment 4 Fedora Update System 2014-03-25 17:53:58 UTC
check-mk-1.2.4-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/check-mk-1.2.4-1.fc20

Comment 5 Fedora Update System 2014-03-25 17:54:11 UTC
check-mk-1.2.4-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/check-mk-1.2.4-1.fc19

Comment 6 Fedora Update System 2014-03-25 22:40:20 UTC
Package check-mk-1.2.4-1.el6:
* should fix your issue,
* was pushed to the Fedora EPEL 6 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing check-mk-1.2.4-1.el6'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2014-0951/check-mk-1.2.4-1.el6
then log in and leave karma (feedback).

Comment 7 Fedora Update System 2014-04-02 16:31:04 UTC
check-mk-1.2.4p1-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/check-mk-1.2.4p1-1.el5

Comment 8 Fedora Update System 2014-04-02 16:31:26 UTC
check-mk-1.2.4p1-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/check-mk-1.2.4p1-1.fc19

Comment 9 Fedora Update System 2014-04-02 16:31:43 UTC
check-mk-1.2.4p1-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/check-mk-1.2.4p1-1.el6

Comment 10 Fedora Update System 2014-04-02 16:31:59 UTC
check-mk-1.2.4p1-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/check-mk-1.2.4p1-1.fc20

Comment 11 Fedora Update System 2014-04-14 14:05:30 UTC
check-mk-1.2.4p2-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/check-mk-1.2.4p2-1.fc19

Comment 12 Fedora Update System 2014-04-14 14:05:48 UTC
check-mk-1.2.4p2-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/check-mk-1.2.4p2-1.el6

Comment 13 Fedora Update System 2014-04-14 14:06:05 UTC
check-mk-1.2.4p2-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/check-mk-1.2.4p2-1.fc20

Comment 14 Fedora Update System 2014-04-14 14:06:22 UTC
check-mk-1.2.4p2-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/check-mk-1.2.4p2-1.el5

Comment 15 Fedora Update System 2014-04-24 07:34:15 UTC
check-mk-1.2.4p2-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 16 Fedora Update System 2014-04-24 07:37:53 UTC
check-mk-1.2.4p2-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 17 Fedora Update System 2014-04-30 20:47:05 UTC
check-mk-1.2.4p2-1.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 18 Fedora Update System 2014-04-30 20:47:19 UTC
check-mk-1.2.4p2-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 19 Ján Rusnačko 2014-08-06 20:21:22 UTC
Fixed versions are available in epel 5 and 6, hence closing.